%define version	2.0.1
%define release	5mdk

%define gtkmm_version 2.0.0
%define libgnome_version 1.108.0

%define major 1

%define pkgname		libgnomemm
%define api_version	2.0
%define name		%{pkgname}%{api_version}
%define libname		%mklibname gnomemm %api_version %{major}

Summary: 	A C++ wrapper for libgnome
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group: 		System/Libraries
URL: 		http://gtkmm.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: 	ftp://ftp.gnome.org/pub/gnome/sources/%{pkgname}/%{api_version}/%{pkgname}-%{version}.tar.bz2
# (gb) this patch applies to aclocal.m4, don't bother with aclocal-1.7.6
Patch0:		libgnomemm-2.0.1-libtool-fixes.patch.bz2
BuildRequires:	gtkmm2.0-devel >= %{gtkmm_version}
BuildRequires:	libgnome2-devel >= %{libgnome_version}
Buildrequires:	doxygen
BuildRequires:	autoconf2.5 >= 2.54

%description
The %{pkgname} library provides a C++ wrapper for libgnome library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
The %{pkgname} library provides a C++ wrapper for libgnome library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package -n %{libname}-devel
Summary:	Development files for libgnome C++ wrapper
Group: 		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	gtkmm2.0-devel >= %{gtkmm_version}
Requires:	libgnome2-devel >= %{libgnome_version}

%description -n %{libname}-devel
This package contains all necessary files, including libraries and headers,
that C++ programmers will need to develop applications which use %{pkgname},
the C++ interface to libgnome library.

It is necessary when compiling applications which use %{pkgname} as well.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .libtool-fixes
autoconf

%build
%configure2_5x --enable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  make all
popd

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc docs/reference/html COPYING ChangeLog NEWS
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{pkgname}-%{api_version}

###########################################################################
%changelog
* Fri Oct  1 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.1-5mdk
- mklibname fixes maintainer hasn't merged from 10.0-branch

* Fri Oct  1 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.1-4mdk
- fix broken built-in libtool 1.5

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-3mdk
- rebuild for new g++

* Thu Apr 29 2004 Abel Cheung <deaddog@deaddog.org> 2.0.1-2mdk
- Rebuild

* Sat Oct 18 2003 Abel Cheung <deaddog@deaddog.org> 2.0.1-1mdk
- 2.0.1
- Remove patch0 (upstream)

* Thu Oct 16 2003 Abel Cheung <deaddog@deaddog.org> 2.0.0-1mdk
- 2.0.0
- Patch0: Fix library name in .pc files (was using libgnomemm-1.3)

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 1.3.10-1mdk
- 1.3.10

* Tue Jul  9 2002 Abel Cheung <maddog@linux.org.hk> 1.3.5-1mdk
- 1.3.5 (GNOME 2)
- First Mandrake spec, based on original spec inside source

* Tue Mar 20 2001 Eric Bourque <ericb@computer.org>
- added gnome--.m4 to files devel section

* Sat Mar 10 2001 Herbert Valerio Riedel <hvr@gnu.org>
- improved examples.conf
- fixed example build problems

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec
